/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package homework4websocketserver;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.net.SocketPermission;
import java.net.URL;
import java.util.ResourceBundle;
import java.util.logging.Level;
import java.util.logging.Logger;
import javafx.application.Platform;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;

/**
 *
 * @author spdue7cb
 */
public class FXMLDocumentController implements Initializable {
    
    private ChatServer chatServer;
    
    @FXML
    private void handleButtonAction(ActionEvent event) {
        try {
            chatServer.stop();
        } catch (InterruptedException ex) {
            Logger.getLogger(FXMLDocumentController.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IOException ex) {
            Logger.getLogger(FXMLDocumentController.class.getName()).log(Level.SEVERE, null, ex);
        }
        Platform.exit();
        System.exit(0);
    }
    
    @Override
    public void initialize(URL url, ResourceBundle rb) {
            String host = "localhost";
            int port = 8085;
            SocketPermission socketPermission = new SocketPermission(host + ":" + port, "connect,accept,resolve");
            chatServer = new ChatServer(new InetSocketAddress(host, port));
            chatServer.start();
    }    
    
}
